package xyz.danielcortes.controllers.idioma;

import java.util.List;
import xyz.danielcortes.models.Idioma;
import xyz.danielcortes.repository.IdiomaRepository;
import xyz.danielcortes.framework.BaseTableModel;
import xyz.danielcortes.views.idioma.IdiomaListPanel;

public class IdiomaListController {

  private IdiomaListPanel view;
  private IdiomaRepository idiomaRepository;

  public IdiomaListController(IdiomaListPanel view) {
    this.view = view;
    this.idiomaRepository = new IdiomaRepository();
    this.loadIdiomaTable();
  }

  public void reload() {
    this.loadIdiomaTable();
  }

  private void loadIdiomaTable() {
    List<Idioma> idiomas = this.idiomaRepository.getAll();
    BaseTableModel<Idioma> model = this.view.getIdiomaTableModel();
    model.addRows(idiomas);
  }

  public IdiomaListPanel getView() {
    return view;
  }

}
